/**
 * Copyright (c) 2016-2018 Thales Global Services S.A.S.
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *   Abel Hegedus, Tamas Borbas, Peter Lunk, Daniel Segesdi (IncQuery Labs Ltd.) - initial API and implementation
 */
package org.eclipse.emf.diffmerge.patch.api;

import org.eclipse.emf.diffmerge.patch.api.ModelPatchEntry;
import org.eclipse.xtend.lib.annotations.AccessorType;
import org.eclipse.xtend.lib.annotations.Accessors;
import org.eclipse.xtext.xbase.lib.Pure;

@SuppressWarnings("all")
public class ModelPatchDiagnosticElement {
  @Accessors({ AccessorType.PUBLIC_GETTER, AccessorType.PUBLIC_SETTER })
  private Exception caughtException;
  
  @Accessors({ AccessorType.PUBLIC_GETTER, AccessorType.PUBLIC_SETTER })
  private String message;
  
  @Accessors({ AccessorType.PUBLIC_GETTER, AccessorType.PUBLIC_SETTER })
  private ModelPatchEntry problematicEntry;
  
  @Pure
  public Exception getCaughtException() {
    return this.caughtException;
  }
  
  public void setCaughtException(final Exception caughtException) {
    this.caughtException = caughtException;
  }
  
  @Pure
  public String getMessage() {
    return this.message;
  }
  
  public void setMessage(final String message) {
    this.message = message;
  }
  
  @Pure
  public ModelPatchEntry getProblematicEntry() {
    return this.problematicEntry;
  }
  
  public void setProblematicEntry(final ModelPatchEntry problematicEntry) {
    this.problematicEntry = problematicEntry;
  }
}
